// PointSprite.vert

#version 130
#extension GL_EXT_gpu_shader4 : enable
#extension GL_ARB_explicit_attrib_location : enable

in float pointSize;
in int subIndex;

out vec3 positionIn;
out float pointSizeIn;
out int   subIndexIn;

void main(void)
{
    gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
    gl_FrontColor = gl_Color;
    pointSizeIn = pointSize;
    positionIn = vec3(gl_ModelViewMatrix * gl_Vertex);
    subIndexIn = subIndex;
}
