// Cartton.vert

#version 130
#extension GL_EXT_gpu_shader4 : enable

uniform float boldness;

out vec3 positionIn;
out vec3 normalIn;
out vec4 GLSubPosition;

void main(void)
{
    gl_TexCoord[0] = gl_MultiTexCoord0;
    
    gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
    //ftransform();
    float distance = gl_Position.z;
    GLSubPosition = gl_Vertex + vec4(gl_Normal, 0) * 0.2 * boldness * sqrt(distance);
    GLSubPosition = gl_ModelViewProjectionMatrix * GLSubPosition;

    /* _WŌvZ */
    positionIn = vec3(gl_ModelViewMatrix * gl_Vertex);
    normalIn = gl_NormalMatrix * gl_Normal;
}
